io.undertow.protocols.alpn

## Class DefaultAlpnEngineManager

- java.lang.Object
- - io.undertow.protocols.alpn.DefaultAlpnEngineManager

All Implemented Interfaces:
  ALPNEngineManager

    public class DefaultAlpnEngineManager
    extends Object
    implements ALPNEngineManager

### Constructor Summary

Constructors
Constructor and Description
`DefaultAlpnEngineManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getPriority()`
`boolean` `registerEngine(SSLEngine engine, Function<SSLEngine,SSLEngine> selectedFunction)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultAlpnEngineManager

    public DefaultAlpnEngineManager()

### Method Detail

#### getPriority

    public int getPriority()

Specified by:
  `getPriority` in interface `ALPNEngineManager`
Returns:
  The priority of this provider, higher priority managers will be tried first

#### registerEngine

    public boolean registerEngine(SSLEngine engine,
                                  Function<SSLEngine,SSLEngine> selectedFunction)

Specified by:
  `registerEngine` in interface `ALPNEngineManager`
Parameters:
  `engine` - The original SSL Engine
  `selectedFunction` - A function that must be called when the Underlying SSL engine has been selected. The return value of this callback may be a wrapped engine, which must replace the selected engine
Returns:
  `true` if the engine was registered, false otherwise